Description: libcommoncpp2-dev: crash from buffer overflow
 When using commoncpp2 on 64 bit systems  (as SFLphone does), if gethostbyname
 fails, libcommoncpp2 will cause a buffer overflow by doing an incorrect memset.
From: Tristan Matthews <tristan.matthews@savoirfairelinux.net>
Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=693471
Applied-Upstream: https://github.com/dyfet/ucommon/commit/d530ef040def990b2f44a9dc7da410f233cae2be

--- a/src/inaddr.cpp	2010-10-31 19:43:40.000000000 -0400
+++ b/src/inaddr.cpp	2012-11-16 15:14:16.667082655 -0500
@@ -333,7 +333,7 @@ void IPV4Address::setAddress(const char
             if(ipaddr)
                 delete[] ipaddr;
             ipaddr = new struct in_addr[1];
-            memset((void *)&ipaddr[0], 0, sizeof(ipaddr));
+            memset((void *)&ipaddr[0], 0, sizeof(ipaddr[0]));
             return;
         }
 
